device_reprobe
Prev | Device Drivers Base | Next

## Name

device_reprobe — remove driver for a device and probe for a new driver

## Synopsis

`int device_reprobe (` | struct device * | dev`)`;

## Arguments

`dev`

  the device to reprobe

## Description

This function detaches the attached driver (if any) for the given device and restarts the driver probing process. It is intended to use if probing criteria changed during a devices lifetime and driver attachment should change accordingly.

Prev | Up | Next
bus_rescan_devices | Home | bus_register